%global momorel 2
%global md5sum_src0 226470d7be5150f9a8c4d119f61cc385

Summary: gtkmozembed-sharp
Name: gecko-sharp-2.0
Version: 0.12
Release: %{momorel}m%{?dist}
Group: System Environment/Libraries
License: LGPL MPL
URL: http://www.mono-project.com/
%NoSource 0 http://go-mono.com/sources/%{name}/%{name}-%{version}.tar.gz %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: mono-devel >= 1.2.3.1
BuildPrereq: gtk2-devel >= 2.10.9
BuildPrereq: monodoc >= 1.2.3
BuildPrereq: pkgconfig
BuildPrereq: gtk-sharp2-devel >= 2.10.0
BuildPrereq: mono-tools >= 1.2.3
Requires: gtk2 mono-core gtk-sharp2
Patch2: gecko-sharp-2.0-0.11-lib64.patch

Obsoletes: gecko-sharp
Provides: gecko-sharp = 2.0.%{version}

%description
This is gtkmozembed-sharp.  To use it, you need two things:
1) A working mozilla build.
   Note, the build *must* use gtk2.  You can do this by adding:
   ac_add_options --enable-default-toolkit=gtk2
   to your .mozconfig file.

   Also note, this needs gtk2.  The Win32 version of mozilla doesn't
   even touch gtk.  Therefore, this will *not* work on Win32.  It might,
   however.  Someone enterprising needs to try it.
#'
2) The CVS release of gtk-sharp.  There was a bug in the generator
   which is now fixed.  gtk-sharp also needs to be installed.

%prep
%setup -q
%patch2 -p1 -b .lib64

%build
autoreconf -fi
%configure --program-prefix=""
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING LICENSE.LGPL LICENSE.MPL NEWS README
%{_prefix}/lib/mono/gac/gecko-sharp/2.0.0.0__ccf7d78a55e9f021/gecko-sharp.dll*
%{_prefix}/lib/mono/gecko-sharp-2.0/gecko-sharp.dll
%{_prefix}/lib/monodoc/sources/*
%{_libdir}/pkgconfig/gecko-sharp-2.0.pc
# %{_datadir}/doc/gecko-sharp-2.0

%changelog
* Tue May 22 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.12-2m)
- fix BuildPrereq

* Sat Feb 24 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.12-1m)
- rename package gecko-sharp to gecko-sharp-2.0

* Sun Oct 22 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-0.11-9m)
- modify %%files for autoconf-2.60

* Wed Oct 18 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.0-0.11-8m)
- rewind %%files for autoconf-2.59

* Tue Oct 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-0.11-7m)
- rebuild against mono-1.1.18 monodoc-1.1.18

* Sat Sep  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-0.11-6m)
- rebuild against mono-1.1.17.1 gtk-sharp 2.10.0 monodoc-1.1.17.1

* Sun Aug 13 2006 Ryu SASAOKA <ryu@momonga-linux.org>
- (2.0-0.11-5m)
- revised for multilibarch

* Tue May  2 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.0-0.11-4m)
- rebuild mono -> mono-core

* Thu Feb 02 2006 Masanobu Sato <satoshiga@momonga-linux.org
- (2.0-0.11-3m)
- revised spec file for monodoc files
 
* Thu Feb 02 2006 Masanobu Sato <satoshiga@momonga-linux.org
- (2.0-0.11-2m)
- add patches for x86_64

* Mon Jan 30 2006 Nishio Futoshi <futoshi@momonga-linux.org.
- (2.0-0.11-1m)
- start
